
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

PACKAGE bramAsLutPack_16x3 IS

	CONSTANT LEN : integer := 16;	
	CONSTANT LenInBits : integer := 4;
	
	CONSTANT DataBitSize : integer := 3;
	
	TYPE ram_t is array (0 TO LEN - 1) of std_logic_vector(databitsize - 1 downto 0);
	
	CONSTANT initConst : ram_t := ("000", "001", "010", "011", "001", "010", "011", "100", "010", "011", "100", "101", "011", "100", "101", "110");

END PACKAGE;