
library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.NUMERIC_STD.ALL;
USE IEEE.STD_LOGIC_UNSIGNED.ALL;

package constPack is

	constant D : integer := 160;
	constant halfD : integer := D/2;
	--constant WI : integer := 1242;		
	--constant RELWIDTH : integer := WI - D;
	
	constant ImageWidth : integer := 1242;
	constant ImageWidthInBits : integer := 11;
	
	constant EXPANDLEN : integer := 20;
	
  
	--type dVectorType IS ARRAY(NATURAL RANGE 1 TO D) of unsigned(7 downto 0);
	--type vecsigType IS ARRAY(natural range 1 TO D) OF unsigned(9 downto 0);
  
	TYPE waddrType IS ARRAY(1 TO 20) OF unsigned(7 downto 0);	--1 TO EXPANDLEN of values between 160 and 1
	TYPE wdataType IS ARRAY(1 TO 20) OF unsigned(9 downto 0);	--1 TO EXPANDLEN of aggregated costs downto 1

	TYPE raddrType IS ARRAY(1 TO D) OF unsigned(7 downto 0);	--Assign 160 addresses to module and ...
	TYPE rdataType IS ARRAY(1 TO D) OF unsigned(9 downto 0);	--get 160 data values

  
end constPack;

